Discard every OPEN suggestion originated by a document
POST
/api/v1/projects/{projectId}/review/suggestions/bulk/discard
const url = 'https://api.yggy.tech/api/v1/projects/example/review/suggestions/bulk/discard';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"documentId":"example","kind":"ENTITY_MERGE","reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects/example/review/suggestions/bulk/discard \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "documentId": "example", "kind": "ENTITY_MERGE", "reason": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Request Body
Section titled “Request Body ” Media type application/json
object
documentId
required
string
kind
string
reason
string
Responses
Section titled “ Responses ”Bulk discarded
Media type application/json
object
discardedCount
required
number
failedIds
required
Array<string>
Example generated
{ "discardedCount": 1, "failedIds": [ "example" ]}